Subject: Re: [PATCH 2/2] Flag and skip over packfiles known to be invalid.

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 4 Feb 2007 00:02:37 -0500

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > I almost submitted a patch to do that tonight, but I couldn't decide
> > on behavior: should we scan known packs, then try for loose, then
> > scan packs again until no object or no new pack is found?  Probably.
> 
> Hmmm.  Probably.  
> 
> But I tend to think that this particular failure scenario is
> probably rare enough that plugging this in "the right way" is
> not a high priority.  We should definitely revisit it post
> 1.5.0.

Indeed.  I'll come back to it after 1.5.0 is out.
 
> Also if we are adding a bitfield, I think pack_local should also
> become one, as it currently wastes a whole word to hold one bit
> (on the other hand if we do not want to add a field I think a
> different negative value in pack_fd could mean "do not bother to
> look at it again").

Good point. I forgot about that ~4 byte boolean hanging around.
As a comment on the TDWTF might say, "Yes, No, FileNotFound, 42,
192, 1088, ... these are all valid values for pack_local!"  :-)

-- 
Shawn.